Package htsjdk.samtools

# Class BinWithOffset

java.lang.Object
htsjdk.samtools.Bin
htsjdk.samtools.BinWithOffset

All Implemented Interfaces:
  `Comparable<Bin>`

public class BinWithOffset extends Bin
An individual bin of a CSI index for BAM files. Extends the BAI index bin `Bin` with a 64 bit value, representing the virtual file offset of the first overlapping record.

## Constructor Summary

Constructors
Constructor
Description
`BinWithOffset(int referenceSequence, int binNumber, long lOffset)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getlOffset()`

### Methods inherited from class htsjdk.samtools.Bin

`addChunk, addInitialChunk, compareTo, containsChunks, equals, getBinNumber, getChunkList, getLastChunk, getReferenceSequence, hashCode, setChunkList, setLastChunk`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinWithOffset

public BinWithOffset(int referenceSequence, int binNumber, long lOffset)

## Method Details

### getlOffset

public long getlOffset()